/* Sistemas Integrados TECNISA
Nome: 8977_SUPTRGO_LOG_SUP_PARAMPRODSUP.SQL
 */
CREATE OR REPLACE TRIGGER LOG_SUP_PARAMPRODSUP
AFTER DELETE OR INSERT OR UPDATE
ON PARAMPRODSUP FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(1500);
  V_CDFILLOGOPER VARCHAR2(4);
  V_ITPESQ       VARCHAR2(80);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   IF NVL(:NEW.CDFILIOPELOG, :OLD.CDFILIOPELOG) IS NOT NULL THEN
      V_DESC         := '';
      V_ITPESQ       := '';
      V_NMOPERADOR   := '';
      V_IDTIPOOPER   := '';
      V_CDFILLOGOPER := '';
      NMUSUARIO(V_NMOPERADOR);
      WEBTUNNING(V_DSREMOTEADDR,
                 V_DSREMOTEHOST,
                 V_DSSERVERRDM,
                 V_DSSERVMETHOD,
                 V_DSREMOTEOPER);
      IF UPDATING THEN
         IF (NVL(:OLD.NRSEQPARPROD, 'X') <> NVL(:NEW.NRSEQPARPROD, 'X')) THEN
            V_DESC := 'Codigo:' ||''|| NVL(:NEW.NRSEQPARPROD,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDFILIOPELOG, 'X') <> NVL(:NEW.CDFILIOPELOG, 'X')) THEN
            V_DESC := 'Filial OL:' ||''|| NVL(:NEW.CDFILIOPELOG,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDFILIAL, 'X') <> NVL(:NEW.CDFILIAL, 'X')) THEN
            V_DESC := 'Filial:' ||''|| NVL(:NEW.CDFILIAL,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDPRODUTO, 'X') <> NVL(:NEW.CDPRODUTO, 'X')) THEN
            V_DESC := 'Produto:' ||''|| NVL(:NEW.CDPRODUTO,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDREGIAO, 'X') <> NVL(:NEW.CDREGIAO, 'X')) THEN
            V_DESC := 'Regiao:' ||''|| NVL(:NEW.CDREGIAO,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDGRUPPROD, 'X') <> NVL(:NEW.CDGRUPPROD, 'X')) THEN
            V_DESC := 'Grup. Prod.:' ||''|| NVL(:NEW.CDGRUPPROD,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDSUBGRPROD, 'X') <> NVL(:NEW.CDSUBGRPROD, 'X')) THEN
            V_DESC := 'Sub Grup. Prod:' ||''|| NVL(:NEW.CDSUBGRPROD,'') ||'   ';
         END IF;
         IF (NVL(:OLD.CDFILISUBGR, 'X') <> NVL(:NEW.CDFILISUBGR, 'X')) THEN
            V_DESC := 'Grup Padrao.:' ||''|| NVL(:NEW.CDFILISUBGR,'') ||'   ';
         END IF;
         V_ITPESQ       := :NEW.NRSEQPARPROD||:NEW.CDFILIOPELOG||:NEW.CDFILIAL||:NEW.CDPRODUTO;
         V_CDFILLOGOPER := '9999';
         V_IDTIPOOPER   := '2';
      ELSE
         IF INSERTING THEN
            V_DESC   := 'Codigo:'         ||''||    NVL(:NEW.NRSEQPARPROD,'')      || '  ' ||
                        'Filial OL:'      ||''||    NVL(:NEW.CDFILIOPELOG,'')      || '  ' ||
                        'Filial:'         ||''||    NVL(:NEW.CDFILIAL,'')          || '  ' ||
                        'Produto:'        ||''||    NVL(:NEW.CDPRODUTO,'')         || '  ' ||
                        'Regiao:'         ||''||    NVL(:NEW.CDREGIAO,'')          || '  ' ||
                        'Grup. Prod.:'    ||''||    NVL(:NEW.CDGRUPPROD,'')        || '  ' ||
                        'Sub Grup. Prod:' ||''||    NVL(:NEW.CDSUBGRPROD,'')       || '  ' ||
                        'Grup Padrao.:'   ||''||    NVL(:NEW.CDFILISUBGR,'');
            V_ITPESQ       := :NEW.NRSEQPARPROD||:NEW.CDFILIOPELOG||:NEW.CDFILIAL||:NEW.CDPRODUTO;
            V_CDFILLOGOPER := '9999';
            V_IDTIPOOPER   := '1';
         ELSE
            IF DELETING THEN
               V_DESC   := 'Codigo:'         ||''||    NVL(:OLD.NRSEQPARPROD,'')      || '  ' ||
                           'Filial OL:'      ||''||    NVL(:OLD.CDFILIOPELOG,'')      || '  ' ||
                           'Filial:'         ||''||    NVL(:OLD.CDFILIAL,'')          || '  ' ||
                           'Produto:'        ||''||    NVL(:OLD.CDPRODUTO,'')         || '  ' ||
                           'Regiao:'         ||''||    NVL(:OLD.CDREGIAO,'')          || '  ' ||
                           'Grup. Prod.:'    ||''||    NVL(:OLD.CDGRUPPROD,'')        || '  ' ||
                           'Sub Grup. Prod:' ||''||    NVL(:OLD.CDSUBGRPROD,'')       || '  ' ||
                           'Grup Padrao.:'   ||''||    NVL(:OLD.CDFILISUBGR,'');
               V_ITPESQ       := :OLD.NRSEQPARPROD||:OLD.CDFILIOPELOG||:OLD.CDFILIAL||:OLD.CDPRODUTO;
               V_CDFILLOGOPER := '9999';
               V_IDTIPOOPER   := '3';
            END IF;
         END IF;
      END IF;
      IF (V_DESC IS NOT NULL) THEN
         V_DESC := SUBSTR(V_DESC, 1, 300);
         INSERT INTO LOGOPERA
            (NMTABELA,
             DTOPERACAO,
             NMRESPOPER,
             IDTIPOOPER,
             DSOPERACAO,
             CDPESQITEM,
             DSRDMUSUOPER,
             DSENDUSUOPER,
             DSNMUSUOPER,
             DSMETUSUOPER,
             CDORESPOPER,
             CDFILLOGOPER)
         VALUES
            ('PARAMPRODSUP',
             SYSDATE,
             NVL(V_NMOPERADOR,' '),
             V_IDTIPOOPER,
             V_DESC,
             V_ITPESQ,
             V_DSSERVERRDM,
             V_DSREMOTEADDR,
             V_DSREMOTEHOST,
             V_DSSERVMETHOD,
             V_DSREMOTEOPER,
             V_CDFILLOGOPER);
      END IF;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_SUP_PARAMPRODSUP','5.30.XXX'); END;
/


